> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/fslogixloggingsettings.md).

# FSLogixLoggingSettings.md

## NAMESPACE

RASAdminEngine.Core.OutputModels.UserProfile.FSLogix

## DESCRIPTION

FSLogix Logging Settings

## INHERITED FROM

[RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)

⇒

FSLogixLoggingSettings

## INTERFACES

* ISerializable
* IComparable

## PUBLIC PROPERTIES

| Type                                                                                                                                | Name                  | Description                                                           |
| ----------------------------------------------------------------------------------------------------------------------------------- | --------------------- | --------------------------------------------------------------------- |
| String                                                                                                                              | LogDirectory          | Specifies the 'Log directory'. Default: '%ProgramData%\FSLogix\Logs'. |
| [FSLogixLogEnabled](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/fslogixlogenabled.md)         | LogEnabled            | Specifies the 'Log enabled'.                                          |
| UInt32                                                                                                                              | LogFileKeepingPeriod  | Specifies the 'Log keeping period in days'. Default: '2'.             |
| [FSLogixLogLevel](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/fslogixloglevel.md)             | LogLevel              | Specifies the 'Log level'.                                            |
| [LogSpecificComponents](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logspecificcomponents.md) | LogSpecificComponents | Specifies the 'FSLogix components to enable logging for'.             |
| String                                                                                                                              | RobocopyLogPath       | Specifies the 'Robocopy log path'.                                    |

## PUBLIC METHODS

| Type                | Name                                                                                                                                                   | Description                                                                                                                                |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Int32               | CompareTo (Object obj)                                                                                                                                 | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Void                | CopyFrom ([FSLogixLoggingSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/fslogixloggingsettings.md) other) | Boolean                                                                                                                                    |
| Equals (Object obj) | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)             | Int32                                                                                                                                      |
| GetHashCode ()      | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)             | Type                                                                                                                                       |
| GetType ()          | String                                                                                                                                                 | ToString ()                                                                                                                                |

### References to Types | | | | |----------------------------------------------------------------|


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/fslogixloggingsettings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
